org.appng.xml.application

## Class Property

- java.lang.Object
- - org.appng.xml.application.Property

-     public class Property
      extends Object

  Java class for property complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="property">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="description" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="clob" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="type" type="{http://www.appng.org/schema/application}propertyType" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `clob`
    `protected String` | `description`
    `protected String` | `id`
    `protected PropertyType` | `type`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Property()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Gets the value of the description property.
    `String` | `getId()` Gets the value of the id property.
    `PropertyType` | `getType()` Gets the value of the type property.
    `String` | `getValue()` Gets the value of the value property.
    `Boolean` | `isClob()` Gets the value of the clob property.
    `void` | `setClob(Boolean value)` Sets the value of the clob property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setType(PropertyType value)` Sets the value of the type property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### id

          protected String id

    - #### description

          protected String description

    - #### clob

          protected Boolean clob

    - #### type

          protected PropertyType type

  - ### Constructor Detail

    - #### Property

          public Property()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### isClob

          public Boolean isClob()

      Gets the value of the clob property.
      Returns:
        possible object is `Boolean`

    - #### setClob

          public void setClob(Boolean value)

      Sets the value of the clob property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getType

          public PropertyType getType()

      Gets the value of the type property.
      Returns:
        possible object is `PropertyType`

    - #### setType

          public void setType(PropertyType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `PropertyType`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.